Bug 634380 - rubygem-rubyforge not working wth rubygem-json
rubygem-rubyforge not working wth rubygem-json
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-rubyforge (Show other bugs)
el5
All Linux
low Severity urgent
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-15 20:14 EDT by Michael Stahnke
Modified: 2010-09-25 14:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: rubygem-rubyforge-2.0.4-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-25 14:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2010-09-15 20:14:07 EDT
Description of problem:

rubygem-rubyforge normally requires rubygem-json_pure.  I think we have patched this in the past to allow for rubygem-json usage.  However, it does not appear to be working.  I'd like to have json/rubyforge working to get hoe working. 

> stahnma@x2 /home/stahnma> ldd -r
> /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/json/ext/parser.so
>         libruby.so.1.8 => /usr/lib64/libruby.so.1.8 (0x00002abe78915000)
>         libpthread.so.0 => /lib64/libpthread.so.0 (0x00002abe78c10000)
>         libdl.so.2 => /lib64/libdl.so.2 (0x00002abe78e2b000)
>         libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002abe79030000)
>         libm.so.6 => /lib64/libm.so.6 (0x00002abe79268000)
>         libc.so.6 => /lib64/libc.so.6 (0x00002abe794eb000)
>         /lib64/ld-linux-x86-64.so.2 (0x0000003cbb000000)
> undefined symbol: RSTRING_PTR
> (/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/json/ext/parser.so)
> undefined symbol: RSTRING_LEN
> (/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/json/ext/parser.so)


- I don't know if json (json_pure) upstream wants to support 1.8.5
 any longer, however you can fix this issue on json side.
 See what json-1.4.3/ext/json/ext/generator/generator.h does (for
 RSTRING_PTR and so on definition)

Version-Release number of selected component (if applicable):
rubygem-rubyforge-2.0.3-1.el5
rubygem-json-1.4.3-3.el5


How reproducible:


Steps to Reproduce:
1. install rubygem-rubyforge and rubygem-json and rubygem-hoe
2. irb; require 'hoe' 
3. watch it not work.
  
Actual results:
It doesn't work.

Expected results:
Hoe/rubyforge is usable in EPEL5/6. 





Additional info:
Comment 1 Mamoru TASAKA 2010-09-16 14:06:34 EDT
(In reply to comment #0)
> Description of problem:
> 
> rubygem-rubyforge normally requires rubygem-json_pure.  I think we have patched
> this in the past to allow for rubygem-json usage.  

- It seems that Fedora 15/14/13/12 EPEL6 rubygem-rubyforge have the
  modification, however EPEL5 branch ones does not have this hack.

  So EPEL5 rubygem-rubyforge need fixing

> However, it does not appear
> to be working.  I'd like to have json/rubyforge working to get hoe working. 
> 
> > stahnma@x2 /home/stahnma> ldd -r
> > /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/json/ext/parser.so
> >         libruby.so.1.8 => /usr/lib64/libruby.so.1.8 (0x00002abe78915000)
> >         libpthread.so.0 => /lib64/libpthread.so.0 (0x00002abe78c10000)
> >         libdl.so.2 => /lib64/libdl.so.2 (0x00002abe78e2b000)
> >         libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002abe79030000)
> >         libm.so.6 => /lib64/libm.so.6 (0x00002abe79268000)
> >         libc.so.6 => /lib64/libc.so.6 (0x00002abe794eb000)
> >         /lib64/ld-linux-x86-64.so.2 (0x0000003cbb000000)
> > undefined symbol: RSTRING_PTR
> > (/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/json/ext/parser.so)
> > undefined symbol: RSTRING_LEN
> > (/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/json/ext/parser.so)
> 
  EPEL5 rubygem-json modified
Comment 2 Mamoru TASAKA 2010-09-18 12:38:32 EDT
Would you check if
rubygem-json-1.4.3-3.el5.1
rubygem-rubyforge-2.0.4-1.el5
fix this issue? (please pull these package from koji).
Comment 3 Michael Stahnke 2010-09-19 19:47:11 EDT
Looks good on EL5.  

WOuld you like me to submit the new builds, or would you like to?

Also, thank you for your help.
Comment 4 Fedora Update System 2010-09-20 06:25:44 EDT
rubygem-rubyforge-2.0.4-1.el5,rubygem-json-1.4.3-3.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rubygem-rubyforge-2.0.4-1.el5,rubygem-json-1.4.3-3.el5.1
Comment 5 Fedora Update System 2010-09-20 13:53:01 EDT
rubygem-rubyforge-2.0.4-1.el5, rubygem-json-1.4.3-3.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rubyforge rubygem-json'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-rubyforge-2.0.4-1.el5,rubygem-json-1.4.3-3.el5.1
Comment 6 Fedora Update System 2010-09-25 14:57:46 EDT
rubygem-rubyforge-2.0.4-1.el5, rubygem-json-1.4.3-3.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.